package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/common/qyweixin"
	"enterprise/server"
	"enterprise/worker"
)

func main() {
	config.LoadServerConfig()
	global.InitGlobal()

	if err := worker.Init(); err != nil {
		panic(err)
	}
	if err := server.Start(); err != nil {
		panic(err)
	}
}

func main2() {
	config.LoadServerConfig()
	global.InitGlobal()

	pay := qyweixin.NewQyPay()
	if err := pay.PayRedMoney(); err != nil {
		panic(err)
	}
}
